GCLOUD_DEBUG_SOURCE_GEN-REPO-INFO-FILE(1)

NAME

gcloud debug source gen-repo-info-file - generates repository information files for the Stackdriver Debugger

SYNOPSIS

gcloud debug source gen-repo-info-file [--output-directory=OUTPUT_DIRECTORY; default="."] [--source-directory=SOURCE_DIRECTORY; default="."] [GLOBAL-FLAG ...]

DESCRIPTION
This command generates two files, source-context.json and source-contexts.json, containing information on the source revision and remote repository associated with the given source directory.

FLAGS

    --output-directory=OUTPUT_DIRECTORY; default="."
        The directory in which to create the source context files.

    --source-directory=SOURCE_DIRECTORY; default="."
        The directory containing the source code for the build.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To generate repository information files for your app, from your source directory run:
    $ gcloud debug source gen-repo-info-file